summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-12-22 12:45:25 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-12-22 12:45:25 +0000
commit06a6fdc60cfbbc10a64dc13c2ea385ab93c25760 (patch)
tree123ebf9c000faea978761219d3991b0b07f4c876 /dev-python
parentffd4f58601c14b2e882584425caf01a267f97869 (diff)
downloadbaldeagleos-repo-06a6fdc60cfbbc10a64dc13c2ea385ab93c25760.tar.gz
baldeagleos-repo-06a6fdc60cfbbc10a64dc13c2ea385ab93c25760.tar.xz
baldeagleos-repo-06a6fdc60cfbbc10a64dc13c2ea385ab93c25760.zip
Updating liguros repo
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/jupyter_client/files/jupyter_client-6.1.6-msgpack-1.patch28
-rw-r--r--dev-python/jupyter_client/jupyter_client-6.1.6-r2.ebuild4
-rw-r--r--dev-python/jupyter_client/metadata.xml2
-rw-r--r--dev-python/pycryptodome/files/pycryptodome-3.9.9-system-libtomcrypt.patch43
-rw-r--r--dev-python/pycryptodome/pycryptodome-3.9.9-r1.ebuild54
-rw-r--r--dev-python/sudsds/metadata.xml2
-rw-r--r--dev-python/sudsds/sudsds-1.0.1-r1.ebuild6
7 files changed, 134 insertions, 5 deletions
diff --git a/dev-python/jupyter_client/files/jupyter_client-6.1.6-msgpack-1.patch b/dev-python/jupyter_client/files/jupyter_client-6.1.6-msgpack-1.patch
new file mode 100644
index 000000000000..34a95d04ac78
--- /dev/null
+++ b/dev-python/jupyter_client/files/jupyter_client-6.1.6-msgpack-1.patch
@@ -0,0 +1,28 @@
+From bb973fa33952c1a803097852c031b3979dae607c Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
+Date: Tue, 22 Dec 2020 09:38:13 +0100
+Subject: [PATCH] Fix test_session with msgpack-1
+
+Replace the encoding parameter with raw=False to fix test_session
+with msgpack-1.0.0+. The encoding parameter was already deprecated
+in msgpack-0.6.2, and raw=False is compatible with that version too.
+---
+ jupyter_client/tests/test_session.py | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/jupyter_client/tests/test_session.py b/jupyter_client/tests/test_session.py
+index d0ec662..45be9a9 100644
+--- a/jupyter_client/tests/test_session.py
++++ b/jupyter_client/tests/test_session.py
+@@ -304,7 +304,7 @@ class TestSession(SessionTestCase):
+
+ session = ss.Session(
+ pack=msgpack.packb,
+- unpack=lambda buf: msgpack.unpackb(buf, encoding='utf8'),
++ unpack=lambda buf: msgpack.unpackb(buf, raw=False),
+ )
+ self._datetime_test(session)
+
+--
+2.29.2
+
diff --git a/dev-python/jupyter_client/jupyter_client-6.1.6-r2.ebuild b/dev-python/jupyter_client/jupyter_client-6.1.6-r2.ebuild
index 429bbdadb515..7350034b6d2e 100644
--- a/dev-python/jupyter_client/jupyter_client-6.1.6-r2.ebuild
+++ b/dev-python/jupyter_client/jupyter_client-6.1.6-r2.ebuild
@@ -32,3 +32,7 @@ DEPEND="${RDEPEND}
)"
distutils_enable_tests pytest
+
+PATCHES=(
+ "${FILESDIR}"/${P}-msgpack-1.patch
+)
diff --git a/dev-python/jupyter_client/metadata.xml b/dev-python/jupyter_client/metadata.xml
index 6014e144ddc4..20ebd402cad4 100644
--- a/dev-python/jupyter_client/metadata.xml
+++ b/dev-python/jupyter_client/metadata.xml
@@ -17,7 +17,7 @@
</longdescription>
<stabilize-allarches/>
<upstream>
- <remote-id type="pypi">jupyter_client</remote-id>
+ <remote-id type="pypi">jupyter-client</remote-id>
</upstream>
<origin>gentoo-staging</origin>
</pkgmetadata>
diff --git a/dev-python/pycryptodome/files/pycryptodome-3.9.9-system-libtomcrypt.patch b/dev-python/pycryptodome/files/pycryptodome-3.9.9-system-libtomcrypt.patch
new file mode 100644
index 000000000000..927ad65e7c47
--- /dev/null
+++ b/dev-python/pycryptodome/files/pycryptodome-3.9.9-system-libtomcrypt.patch
@@ -0,0 +1,43 @@
+--- a/setup.py 2019-01-19 22:52:55.000000000 +0100
++++ b/setup.py 2019-02-15 15:29:46.960976879 +0100
+@@ -367,11 +367,13 @@ ext_modules = [
+ include_dirs=['src/'],
+ sources=["src/CAST.c"]),
+ Extension("Crypto.Cipher._raw_des",
+- include_dirs=['src/', 'src/libtom/'],
+- sources=["src/DES.c"]),
++ include_dirs=['src/'],
++ sources=["src/DES.c"],
++ extra_link_args=["-ltomcrypt"]),
+ Extension("Crypto.Cipher._raw_des3",
+- include_dirs=['src/', 'src/libtom/'],
+- sources=["src/DES3.c"]),
++ include_dirs=['src/'],
++ sources=["src/DES3.c"],
++ extra_link_args=["-ltomcrypt"]),
+ Extension("Crypto.Util._cpuid_c",
+ include_dirs=['src/'],
+ sources=['src/cpuid.c']),
+@@ -400,8 +402,9 @@ ext_modules = [
+ include_dirs=['src/'],
+ sources=["src/ARC4.c"]),
+ Extension("Crypto.Cipher._Salsa20",
+- include_dirs=['src/', 'src/libtom/'],
+- sources=["src/Salsa20.c"]),
++ include_dirs=['src/'],
++ sources=["src/Salsa20.c"],
++ extra_link_args=["-ltomcrypt"]),
+ Extension("Crypto.Cipher._chacha20",
+ include_dirs=['src/'],
+ sources=["src/chacha20.c"]),
+--- a/src/DES.c 2019-01-19 22:52:55.000000000 +0100
++++ b/src/DES.c 2019-02-15 15:30:27.014967034 +0100
+@@ -39,7 +39,7 @@ FAKE_INIT(raw_des3)
+
+ /* Include the actial DES implementation */
+ #define LTC_NO_PROTOTYPES
+-#include "libtom/tomcrypt_des.c"
++#include <tomcrypt.h>
+
+ struct block_state {
+ symmetric_key sk;
diff --git a/dev-python/pycryptodome/pycryptodome-3.9.9-r1.ebuild b/dev-python/pycryptodome/pycryptodome-3.9.9-r1.ebuild
new file mode 100644
index 000000000000..8f003612213f
--- /dev/null
+++ b/dev-python/pycryptodome/pycryptodome-3.9.9-r1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="A self-contained cryptographic library for Python"
+HOMEPAGE="https://www.pycryptodome.org/
+ https://github.com/Legrandin/pycryptodome/
+ https://pypi.org/project/pycryptodome/"
+SRC_URI="
+ https://github.com/Legrandin/pycryptodome/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz"
+
+LICENSE="BSD-2 Unlicense"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="
+ dev-libs/gmp:0=
+ >=dev-libs/libtomcrypt-1.18.2-r1:="
+BDEPEND="
+ virtual/python-cffi[${PYTHON_USEDEP}]"
+RDEPEND="
+ ${DEPEND}
+ ${BDEPEND}
+ !dev-python/pycrypto"
+
+PATCHES=(
+ "${FILESDIR}/pycryptodome-3.9.4-parallel-make.patch"
+ "${FILESDIR}/pycryptodome-3.9.9-system-libtomcrypt.patch"
+)
+
+distutils_enable_tests setup.py
+
+python_prepare_all() {
+ # parallel make fixes
+ # Multiple targets were compiling the same file, setuptools doesn't
+ # understand this and you get race conditions where a file gets
+ # overwritten while it's linking. This makes the files look like separate
+ # files so this race won't happen
+ ln src/blowfish.c src/blowfish_eks.c || die
+ ln src/mont.c src/mont_math.c || die
+
+ # make sure we're unbundling it correctly
+ rm -r src/libtom || die
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/sudsds/metadata.xml b/dev-python/sudsds/metadata.xml
index a56745df0223..c4e7a7e3d49d 100644
--- a/dev-python/sudsds/metadata.xml
+++ b/dev-python/sudsds/metadata.xml
@@ -8,5 +8,5 @@
<longdescription lang="en">
A lightweight SOAP python client for consuming Web Services. Czech NIC labs fork.
</longdescription>
- <origin>kit-fixups</origin>
+ <origin>calculatelinux-overlay</origin>
</pkgmetadata>
diff --git a/dev-python/sudsds/sudsds-1.0.1-r1.ebuild b/dev-python/sudsds/sudsds-1.0.1-r1.ebuild
index 054a9f5306c4..ac0d6b9c7860 100644
--- a/dev-python/sudsds/sudsds-1.0.1-r1.ebuild
+++ b/dev-python/sudsds/sudsds-1.0.1-r1.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI=5
+EAPI=7
PYTHON_COMPAT=( python2_7 python3_{6,7,8,9,10} )
@@ -17,4 +17,4 @@ KEYWORDS="amd64 x86"
IUSE="doc"
DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
-RDEPEND=""
+RDEPEND="${DEPEND}"